## Index

### References

- default

### Classes

- Human

### Interfaces

- Body
- Config
- DrawOptions
- Face
- Hand
- Item
- Person
- Result

### Type aliases

- Error
- Gesture
- Input
- TensorFlow

## References

### default

Renames and exports Human

## Type aliases

### Error

Error: { error: string }

Error message

#### Type declaration

- ##### error: string

### Gesture

Gesture: { face: number; gesture: FaceGesture } | { gesture: IrisGesture; iris: number } | { body: number; gesture: BodyGesture } | { gesture: HandGesture; hand: number }

Gesture results

### Input

Input: Tensor | typeof Image | ImageData | ImageBitmap | HTMLImageElement | HTMLMediaElement | HTMLVideoElement | HTMLCanvasElement | OffscreenCanvas

Defines all possible input types for Human detection

### TensorFlow

TensorFlow: typeof tf

Instance of TensorFlow/JS

external